OmwAIOmwAI
API GuideAPI ReferenceProgramming Tools
Suno

Adjust Speed

Change Suno song speed with optional pitch preservation

Set speed_multiplier from 0.25x to 4x and use keep_pitch to preserve pitch.

POST
/suno/submit/ADJUST_SPEED

Authorization

BearerAuth

AuthorizationBearer <token>

使用 Bearer Token 认证:Authorization: Bearer sk-xxxxxx。

In: header

Request Body

application/json

music_id*string
keep_pitch*boolean
Defaultfalse
speed_multiplier*number
Default1
Range0.25 <= value <= 4
title*string
hookUrl?string
isStorage?booleanDeprecated

Response Body

application/json

application/json

curl -X POST "https://www.omwai.xyz/suno/submit/ADJUST_SPEED" \  -H "Content-Type: application/json" \  -d '{    "music_id": "music_xxx",    "keep_pitch": true,    "speed_multiplier": 1.25,    "title": "Faster Version"  }'
{
  "code": "success",
  "message": "success",
  "data": "task_01J8ABCDEFGHIJKLMNOPQRST"
}
{
  "code": "invalid_request",
  "message": "string"
}

How is this guide?

Last updated on